# ShopPreRemoveEvent (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.event

## Class ShopPreRemoveEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - de.epiceric.shopchest.event.ShopPreRemoveEvent

All Implemented Interfaces:
  org.bukkit.event.Cancellable

    public class ShopPreRemoveEvent
    extends org.bukkit.event.Event
    implements org.bukkit.event.Cancellable

Called when a player wants to remove a shop (enters the command)

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor and Description
`ShopPreRemoveEvent(org.bukkit.entity.Player player)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.bukkit.event.HandlerList` `getHandlerList()`
`org.bukkit.event.HandlerList` `getHandlers()`
`org.bukkit.entity.Player` `getPlayer()`
`boolean` `isCancelled()`
`void` `setCancelled(boolean cancel)`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShopPreRemoveEvent

    public ShopPreRemoveEvent(org.bukkit.entity.Player player)

### Method Detail

#### getPlayer

    public org.bukkit.entity.Player getPlayer()

Returns:
  Player who is involved in this event

#### isCancelled

    public boolean isCancelled()

Specified by:
  `isCancelled` in interface `org.bukkit.event.Cancellable`

#### setCancelled

    public void setCancelled(boolean cancel)

Specified by:
  `setCancelled` in interface `org.bukkit.event.Cancellable`

#### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()

#### getHandlers

    public org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`